Morpho - Bug #6618

Make production morpho work on Java 7
11/12/2014 11:49 AM - Jing Tao

Status: New Start date: 11/12/2014
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Bugzilla-ld:

Description

Currently, the production Morpho only works on java 6. We should modify the izpack configuration to make it work in java 7.

History

#1-11/12/2014 11:51 AM - Jing Tao

- Assignee set to Jing Tao

#2 - 03/18/2015 05:38 PM - Jing Tao

| don't know why jarBundler can't work. | have to use appbundler to make it work:

http://stackoverflow.com/questions/14806709/application-is-using-java-6-from-apple-instead-of-java-7-from-oracle-on-mac-0s-x

&lt;target name="macjarbundler" depends="install"&gt;

&1lt;taskdef name="jarbundler"
classpath="${morpho.basedir}/lib/appbundler-1.0.jar"
classname="com.oracle.appbundler.AppBundlerTask"
onerror="ignore" />

&lt;echo message="Using morpho args: ${morpho.args}"&gt;&lt;/echos&gt;

&lt; ' —— name="morpho"

stubfile="${morpho.basedir}/installer/build/mac/JavaApplicationStub"
mainclass="edu.ucsb.nceas.morpho.Morpho"
icon="${morpho.basedir}/lib/DesktopIcon32x32.icns"
vmoptions="-Xmx1024m Xss5m'—
£ /arbundleregt—>
&1t; jarbundler outputdirectory="${morpho.basedir}/"
name="morpho"
displayname="morpho"
identifier="com.oracle.javafx.swing.Test"
shortversion="1.0"
icon="${morpho.basedir}/lib/DesktopIcon32x32.icns"
applicationCategory="public.app-category.developer-tools"
mainclassname="edu/ucsb/nceas/morpho/Morpho">
&lt; ' ——
&lt;classpath dir="${build.lib}"&gt;

&1lt;include name="*.Jjar" /&gt;
&lt; /classpaths&gt;
&lt;option value="-Dapple.laf.useScreenMenuBar=true"/&gt;

&lt; /jarbundler&gt;
&1lt; /targeté&gt;

04/09/2024 1/1



http://stackoverflow.com/questions/14806709/application-is-using-java-6-from-apple-instead-of-java-7-from-oracle-on-mac-os-x
http://www.tcpdf.org

